Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCObject Class Reference

`#include <ExCObject.h>`

Inheritance diagram for ExCObject:

## Public Methods
| ExCObject ()
| ExCObject (std::string FileName)
virtual | ~ExCObject ()
virtual void | Draw (void)
virtual bool | LoadFile (std::string FileName)
void | SetIdName (ExNihilo::IdName idname)
ExNihilo::ExId | GetId (void)
std::string | GetName (void)
std::string | GetFileName (void)
std::string | GetType (void)
void | SetId (ExNihilo::ExId Id)
void | SetName (std::string Name)
void | SetFileName (std::string FileName)
void | SetType (std::string Type)
## Protected Attributes
ExNihilo::ExId | m_ObjectId
std::string | m_ObjectName
std::string | m_ObjectFileName
std::string | m_ObjectType

## Constructor & Destructor Documentation

ExCObject | ( |  | ) |

| Definition at line 28 of file ExCObject.cpp. References SetId(), SetName(), and SetType(). Referenced by ExCEntite::ExCEntite(), ExCObject(), and ExCObject3D::ExCObject3D().
    00029 {
    00030         SetName("EXCOBJECTERROR");
    00031         SetType(typeid(this).name());
    00032         SetId(-1);
    00033
    00034 }

ExCObject | ( | std::string | FileName | ) |

| Definition at line 41 of file ExCObject.cpp. References ExCObject(), and LoadFile().
    00042 {
    00043         ExCObject();
    00044         LoadFile(FileName);
    00045 }

~ExCObject | ( |  | ) | `[virtual]`

| Definition at line 36 of file ExCObject.cpp.
    00037 {
    00038
    00039 }

## Member Function Documentation

void Draw | ( | void |  | ) | `[virtual]`

| Reimplemented in ExCCamera, ExCCameraChase, ExCCameraTarget, ExCComposed, ExCEntite, ExCGizmo, ExCGizmoRectangle, ExCInterface, ExCMap, ExCMenu, ExCModel, ExCModel3DS, ExCModelASC, ExCModelMD2, ExCModelMD3, ExCModelOBJ, ExCParticule, and ExCSystemeParticule. Definition at line 60 of file ExCObject.cpp. References Draw(), and Guard. Referenced by Draw().
    00061 {
    00062 Guard(void ExCObject::Draw(void))
    00063 UnGuard
    00064 }

std::string GetFileName | ( | void |  | ) | `[inline]`

| Definition at line 60 of file ExCObject.h. References m_ObjectName.
    00060 {return m_ObjectName;}

ExNihilo::ExId GetId | ( | void |  | ) | `[inline]`

| Definition at line 58 of file ExCObject.h. Referenced by ExManagerEntite::Add(), ExManagerEntite::NewObject(), ExManagerCam::NewObject(), ExManagerId::RecordObject(), and ExCObject3D::ShowInfo().

std::string GetName | ( | void |  | ) | `[inline]`

| Definition at line 59 of file ExCObject.h. References m_ObjectId. Referenced by ExManagerTexture::Add(), ExManagerInterface::Load(), ExCComposed::LoadAsc(), ExManagerId::RecordObject(), and ExCObject3D::ShowInfo().
    00059 {return m_ObjectId;}

std::string GetType | ( | void |  | ) | `[inline]`

| Definition at line 61 of file ExCObject.h. References m_ObjectFileName. Referenced by ExManagerId::RecordObject().
    00061 {return m_ObjectFileName;}

bool LoadFile | ( | std::string | FileName | ) | `[virtual]`

| Reimplemented in ExCInterface, ExCMenu, ExCModelASC, and ExCTexture. Definition at line 53 of file ExCObject.cpp. References Guard, and LoadFile(). Referenced by ExCObject(), and LoadFile().
    00054 {
    00055 Guard(bool ExCObject::LoadFile(std::string FileName))
    00056         return true;
    00057 UnGuard
    00058 }

void SetFileName | ( | std::string | FileName | ) | `[inline]`

| Definition at line 64 of file ExCObject.h. References m_ObjectName.
    00064 {m_ObjectName = Name;}

void SetId | ( | ExNihilo::ExId | Id | ) | `[inline]`

| Definition at line 62 of file ExCObject.h. References m_ObjectType. Referenced by ExCObject(), ExManagerId::RecordObject(), and SetIdName().
    00062 {return m_ObjectType;}

void SetIdName | ( | ExNihilo::IdName | idname | ) |

| Definition at line 47 of file ExCObject.cpp. References SetId(), and SetName(). Referenced by ExManagerCam::NewObject().
    00048 {
    00049         SetName(idname.second);
    00050         SetId(idname.first);
    00051 }

void SetName | ( | std::string | Name | ) | `[inline]`

| Reimplemented in ExCTexture. Definition at line 63 of file ExCObject.h. References m_ObjectId. Referenced by ExCCamera::ExCCamera(), ExCCameraChase::ExCCameraChase(), ExCCameraFirst::ExCCameraFirst(), ExCCameraFree::ExCCameraFree(), ExCFont::ExCFont(), ExCGizmo::ExCGizmo(), ExCGizmoFace::ExCGizmoFace(), ExCGizmoLine::ExCGizmoLine(), ExCGizmoPoint::ExCGizmoPoint(), ExCGizmoRectangle::ExCGizmoRectangle(), ExCInterface::ExCInterface(), ExCLight::ExCLight(), ExCMenu::ExCMenu(), ExCObject(), ExCObject2D::ExCObject2D(), ExCObject3D::ExCObject3D(), ExCParticule::ExCParticule(), ExCParticuleLine::ExCParticuleLine(), ExCParticulePoint::ExCParticulePoint(), ExCParticuleTexture::ExCParticuleTexture(), ExCSound::ExCSound(), ExCSpirit::ExCSpirit(), ExCSystemeParticule::ExCSystemeParticule(), ExSkeleton::ExSkeleton(), ExManagerSpirit::Init(), ExManagerMenu::Init(), ExManagerFont::Init(), ExManagerCamera::Init(), ExCSystemeParticule::Load(), ExManagerModel::Load3DS(), ExCEntite::LoadAsc(), ExCComposed::LoadAsc(), ExCModelASC::LoadFile(), ExManagerModel::LoadMD2(), ExManagerSound::LoadSound(), ExManagerId::RecordObject(), and SetIdName().
    00063 {m_ObjectId=Id;}

void SetType | ( | std::string | Type | ) | `[inline]`

| Definition at line 65 of file ExCObject.h. References m_ObjectFileName. Referenced by ExCCamera::ExCCamera(), ExCCameraChase::ExCCameraChase(), ExCCameraFirst::ExCCameraFirst(), ExCCameraFree::ExCCameraFree(), ExCFont::ExCFont(), ExCGizmo::ExCGizmo(), ExCGizmoFace::ExCGizmoFace(), ExCGizmoLine::ExCGizmoLine(), ExCGizmoPoint::ExCGizmoPoint(), ExCGizmoRectangle::ExCGizmoRectangle(), ExCInterface::ExCInterface(), ExCLight::ExCLight(), ExCMenu::ExCMenu(), ExCObject(), ExCObject2D::ExCObject2D(), ExCObject3D::ExCObject3D(), ExCParticule::ExCParticule(), ExCParticuleLine::ExCParticuleLine(), ExCParticulePoint::ExCParticulePoint(), ExCParticuleTexture::ExCParticuleTexture(), ExCSound::ExCSound(), ExCSpirit::ExCSpirit(), ExCSystemeParticule::ExCSystemeParticule(), ExCTexture::ExCTexture(), ExSkeleton::ExSkeleton(), and ExManagerId::RecordObject().
    00065 {m_ObjectFileName = FileName;}

## Field Documentation

std::string m_ObjectFileName`[protected]`

| Definition at line 41 of file ExCObject.h. Referenced by GetType(), and SetType().

ExNihilo::ExId m_ObjectId`[protected]`

| Definition at line 39 of file ExCObject.h. Referenced by GetName(), and SetName().

std::string m_ObjectName`[protected]`

| Definition at line 40 of file ExCObject.h. Referenced by GetFileName(), SetFileName(), and ExCTexture::SetName().

std::string m_ObjectType`[protected]`

| Definition at line 42 of file ExCObject.h. Referenced by SetId().

The documentation for this class was generated from the following files:

- ExCObject.h
- ExCObject.cpp